#pragma once
// Header file generated by CMake please don't change it

// These preprocessor macros are set by cmake during building in file yafray_config.h.cmake
// They contain information about how the YafaRay package was built, CMake options used, compiler flags, etc

#ifndef Y_CONFIG_H
#define Y_CONFIG_H

// Some important ray tracing parameters set in CMake
#define MIN_RAYDIST 0.00005
#define YAF_SHADOW_BIAS 0.0005

// CMake checks for the unistd.h header file
#define HAVE_UNISTD_H 1

// The YafaRay version displayed in the logs/badges can be set manually using a CMake variable as follows:
// For example: cmake -DYAFARAY_CORE_VERSION="v1.2.3"
// If the version is not manually set, it will use the information obtained from the latest Git commit/tag.
#define YAFARAY_BUILD_VERSION std::string("devel-DEBUG")

// The directory where the plugins reside can be set in the YAF_RUNTIME_SEARCH_PLUGIN_DIR CMake variable. Otherwise it will try to find it automatically during runtime (if it can)
#define YAFARAY_BUILD_SEARCH_PLUGIN_DIR std::string("/usr/lib/yafaray-plugins")

// Several YafaRay build informative variables
#define YAFARAY_BUILD_ARCHITECTURE std::string("32bit")
#define YAFARAY_BUILD_COMPILER std::string("GCC")
#define YAFARAY_BUILD_OS std::string("Linux")
#define YAFARAY_BUILD_PLATFORM std::string("")


#endif

